import { Component } from '../client/component';
import { System } from '../system';
import { Callback } from '../types/Callback';
import { Unlisten } from '../types/Unlisten';
export declare function getGlobalComponent(system: System, id: string): Component;
export declare function listenGlobalComponent(system: System, id: string, callback: Callback<Component>): Unlisten;
export declare function awaitGlobalComponent(system: System, id: string, callback: Callback<Component>): Unlisten;
export declare function firstGlobalComponentPromise(system: System, id: string): Promise<Component>;
